summaryrefslogtreecommitdiffstats
path: root/httpd.init
diff options
context:
space:
mode:
Diffstat (limited to 'httpd.init')
-rwxr-xr-xhttpd.init14
1 files changed, 9 insertions, 5 deletions
diff --git a/httpd.init b/httpd.init
index 68f0e40..0624e06 100755
--- a/httpd.init
+++ b/httpd.init
@@ -73,11 +73,15 @@ stop() {
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
- echo -n $"Reloading $prog: "
- check13 || exit 1
- killproc $httpd -HUP
- RETVAL=$?
- echo
+ if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t; then
+ failure $"Configuration syntax check for $httpd, will not reload"
+ RETVAL=$?
+ else
+ echo -n $"Reloading $prog: "
+ killproc $httpd -HUP
+ RETVAL=$?
+ echo
+ fi
}
# See how we were called.